For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
DeveloperAcademyCommunityStatus
    • Overview
    • API Credentials
    • Errors
    • Legacy & Deprecated APIs
  • Events API
    • Chat Markup
    • Rate Limits
    • Message Delivery
  • (Beta) Conversations API
  • Data API
    • GETList conversations
    • GETList interactions
    • GETList plugins calls
    • GETList Plugin Resources
    • GETList Users
  • Webhook Listeners
      • POSTSend a webhook to a webhook listener
  • Content Gateway
    • Overview
    • Integration Strategies
    • Starter Code
    • Verifying Your Build
    • Connecting Your Gateway to Moveworks
    • Authentication
    • How Permissions Work
    • Common Pitfalls
    • Operational Guide
    • Errors
    • Supported MIME Types
  • Legacy Gateways
    • Authentication
    • Response Options
    • Field Types
    • Form Gateway Errors
DeveloperAcademyCommunityStatus
Webhook ListenersWebhooks

Send a webhook to a webhook listener

||View as Markdown|
POST
/webhooks/v1/listeners/:listener_id/notify
POST
/webhooks/v1/listeners/:listener_id/notify
$curl -X POST https://api.moveworks.ai/webhooks/v1/listeners/listener_id/notify \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "event_type": "incident.created",
> "data": {
> "incident_id": "INC0123456",
> "priority": "High",
> "short_description": "Email server is down."
> }
>}'
1{
2 "message": "Event received successfully",
3 "status": "RECEIVED"
4}
Sends a webhook to a webhook listener. The listener must be defined in Agent Studio.
Was this page helpful?
Previous

Content Gateway

Next
Built with

Authentication

AuthorizationBearer
API Key in the form of a JWT Bearer token.

Path parameters

listener_idstringRequiredformat: "uuid"
The unique identifier of the webhook listener.

Request

The arbitrary JSON payload to send to the webhook listener.

Response

OK. The event was received successfully by the listener.
messagestring
A confirmation message.
statusstring
The status of the event receipt.

Errors

401
Unauthorized Error
404
Not Found Error